Name:           javaewah
Version:        1.1.13
Release:        %mkrel 3
Summary:        A word-aligned compressed variant of the Java bitset class

Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/lemire/javaewah
Source0:        https://github.com/lemire/javaewah/archive/JavaEWAH-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
JavaEWAH is a word-aligned compressed variant of the Java bitset class.
It uses a 64-bit run-length encoding (RLE) compression scheme.

The goal of word-aligned compression is not to achieve the best
compression, but rather to improve query processing time. Hence, we try
to save CPU cycles, maybe at the expense of storage. However, the EWAH
scheme we implemented is always more efficient storage-wise than an
uncompressed bitmap (implemented in Java as the BitSet class). Unlike
some alternatives, javaewah does not rely on a patented scheme.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -qn javaewah-JavaEWAH-%{version}

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Add missing test dep
%pom_add_dep org.apache.commons:commons-lang3:3.12.0:test

# Plugins that are unnecessary for RPM build
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README.md
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.13-3.mga10
+ Revision: 2223413
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 1.1.13-2.mga10
+ Revision: 2067046
- rebuild for java 21

* Mon Dec 12 2022 daviddavid <daviddavid> 1.1.13-1.mga9
+ Revision: 1920922
- Update to latest upstream release 1.1.13

* Sat Mar 26 2022 umeabot <umeabot> 1.1.6-3.mga9
+ Revision: 1827381
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.6-2.mga8
+ Revision: 1520780
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 1.1.6-1.mga7
+ Revision: 1339764
- new version: 1.1.6 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 0.8.4-9.mga7
+ Revision: 1263286
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 0.8.4-8.mga6
+ Revision: 1101350
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 0.8.4-7.mga6
+ Revision: 981837
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.8.4-6.mga6
+ Revision: 976548
- First rebuild of the java stack
- sync package javaewah with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 0.8.4-1.mga5
+ Revision: 807609
- Sync with Fedora 21 (update to 0.8.4)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.8-4.mga5
+ Revision: 739964
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.7.8-2.mga4
+ Revision: 541778
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0.7.8-1.mga4
+ Revision: 496432
- New version

* Wed Sep 25 2013 dmorgan <dmorgan> 0.6.12-2.mga4
+ Revision: 486313
- Rebuild against new javapackages

* Thu Jul 18 2013 dmorgan <dmorgan> 0.6.12-1.mga4
+ Revision: 455834
- imported package javaewah


* Sun Jun 09 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.6.12-1
- Initial package.
